header.page--container {
  @include make-container();
  position: relative;
  padding: 0;

  &> .navbar {
    &> .navbar-brand {
      display: block;
      @include make-col(1);
    }
  }


  & > .navbar-header {
    &> ul.navbar-mobile,
    &> ul.navbar-desktop {
      color: #181818;
      font-size: 1.1rem;
      text-decoration: none;
      font-weight: 400;
    }

    //--[ Mobile Nav ]----------------------------------------------
    &> ul.navbar-mobile {
      ///padding: 0.6rem;

      @include media-breakpoint-between(md, xl) {
        display: none !important;
      }

      width: 100%;
      text-align: center;

      display: block;
      margin: 2px 0 0 0;
      //padding: 0.5rem 0;
      padding: 0.5rem 0.25rem;

      li.nav-item {
        width: 100%;
        display: block;
        text-align: left;
        //color: #181818;
        border-bottom: 1px solid #181818;

        //&:first-child {}
        //&:last-child {}

        & > a {
          color: inherit;
          font: inherit;
          line-height: 1rem;
        }

        // Menu 2nd Level
        &.dropdown {
          & > a {
            &[data-toggle="dropdown"] {
              position: absolute;
              right: 0;
              top: 0;
              z-index: 100;
              width: 25%;
              height: 2rem;
              padding-right: 0.25rem;
              text-align: right;
              background: transparent; // some browsers are dump ignoring events without background :sic:

              &[aria-expanded="true"], &:focus {
                &:before {
                  @include fa-icon($fa-var-chevron-down, 1rem);
                }
              }

              &[aria-expanded="false"] {
                &:before {
                  @include fa-icon($fa-var-chevron-up, 1rem);
                }
              }
            }
          }

          & > .dropdown-menu {
            position: relative;

            & > a {
              color: inherit;

              &:hover, &:active, &.active {
                text-decoration: none;
              }

              &:focus, &:visited {
                color: inherit !important;
                background: inherit !important;
              }

              &:before {
                position: relative;
                top: -.05rem;
                left: -.5rem;

                @include fa-icon($fa-var-chevron-right, 1rem);
              }
            }
          }
        }
      }
    }

    //--[ Desktop Nav ]---------------------------------------------
    /*
    @include media-breakpoint-up(md) {
      @at-root {
        body {
        }
      }
    }
    */

    &> ul.navbar-desktop {
      @include media-breakpoint-between(xs, sm) {
        display: none !important;
      }

      width: 100%;
      padding: 2rem;
      text-align: center;

      @include media-breakpoint-down(sm) {
        display: block;
      }

      li.nav-item {
        // 1st Level
        & > a {
          padding: 0 .25rem;
          color: inherit;
          text-decoration: none;

          &:focus, &:visited, &:active {
            color: inherit !important;
            background: inherit !important;
          }
        }

        // 2nd Level
        &.dropdown {
          &:hover {
            & > a {
              & > span {
                position: relative;
                z-index: 150;
                color: #fff;
                font-weight: 800;
                font-size: 1.1rem;
                line-height: 1rem;
              }
            }

            & > .dropdown-menu {
              display: block;
            }
          }

          & > .dropdown-menu {
            top: -1rem;
            z-index: 100;
            padding-top: 2.8rem;

            color: #fff;
            background: rgba(24, 24, 24, 0.86);

            & > a.dropdown-item {
              display: block;
              width: 100%;
              min-width: 12.5rem;
              line-height: 1.1rem; // Fix jumping
              padding-left: 1rem;

              color: inherit;
              background: none;
              font-size: 1.25rem;
              text-decoration: none;

              &:before {
                position: relative;
                top: 0;
                left: -.5rem;
                visibility: hidden;

                @include fa-icon($fa-var-chevron-right, 1rem);
              }

              &:hover, &:active, &.active {
                text-decoration: none;
                background: rgba(24, 24, 24, 0.86);

                &:before {
                  visibility: visible;
                }
              }

              &:focus, &:visited {
                color: inherit !important;
                background: inherit !important;
              }
            }
          }
        }
      }

      &.is-sticky {
        position: fixed;
        left: 0;
        right: 0;
        top: 0;
        z-index: 1000;
        width: 100%;
      }
    }
  }
}
